Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035003
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-01-18 18:512017-03-20 11:36
ReportermalsasuaView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revision1c04ef0c9871
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035003: in offline mode, when cashup is completed, loading window is displayed forever

DescriptionWhen the terminal authentication is enabled, and the terminal is in offline mode, when cashup is completed, the loading window is displayed and never is hidden.
Steps To Reproduce. enable terminal authentication option

go to terminal (in online):
. new receipt
. paid it
change to offline mode
. go to cashup option in menu and complete it
loading window is displayed

Error: the loading window is not hidden
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0035568RR17Q1.1 closedjorge-garcia in offline mode, when cashup is completed, loading window is displayed forever 
depends on backport 0035569RR16Q4.3 closedjorge-garcia in offline mode, when cashup is completed, loading window is displayed forever 
has duplicate defect 0035558 closedRetail If there is a processed cashup in local storage and not in backend it is not possible to login 

-  Notes
(0093758)
hgbot (developer)
2017-01-20 13:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1c04ef0c9871bb43d80d1a734d36ff60056db270
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Jan 19 16:46:51 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1c04ef0c9871bb43d80d1a734d36ff60056db270 [^]

Fixed issue 35003: in offline mode, when cashup is completed, loading
window is displayed forever

If the request to the backend of terminal authentication fails and the terminal
is linked, the process continues and the cashup is prepare to send the next
time the server is available. If the terminal is not linked, a logout is forced

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---

- Issue History
Date Modified Username Field Change
2017-01-18 18:51 malsasua New Issue
2017-01-18 18:51 malsasua Assigned To => Retail
2017-01-18 18:51 malsasua Triggers an Emergency Pack => No
2017-01-19 13:18 jorge-garcia Status new => scheduled
2017-01-19 13:18 jorge-garcia Assigned To Retail => jorge-garcia
2017-01-20 13:22 hgbot Checkin
2017-01-20 13:22 hgbot Note Added: 0093758
2017-01-20 13:22 hgbot Status scheduled => resolved
2017-01-20 13:22 hgbot Resolution open => fixed
2017-01-20 13:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1c04ef0c9871bb43d80d1a734d36ff60056db270 [^]
2017-01-25 15:51 marvintm Review Assigned To => marvintm
2017-01-25 15:51 marvintm Status resolved => closed
2017-01-25 15:51 marvintm Fixed in Version => RR17Q2
2017-03-20 11:36 marvintm Status closed => new
2017-03-20 11:36 marvintm Resolution fixed => open
2017-03-20 11:36 marvintm Fixed in Version RR17Q2 =>
2017-03-20 11:36 marvintm Status new => scheduled
2017-03-20 11:36 marvintm Status scheduled => resolved
2017-03-20 11:36 marvintm Fixed in Version => RR17Q2
2017-03-20 11:36 marvintm Resolution open => fixed
2017-03-20 11:36 marvintm Status resolved => closed
2017-03-24 12:45 marvintm Relationship added has duplicate 0035558


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker